<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        
        if ($formatcetak == 'excel') {
            header("Content-type: application/vnd-ms-excel");
            header("Content-Disposition: attachment; filename=cetakregisterpajak.xls");
        }

        if (!empty($ar_pemda->s_notelinstansi)) {
            $notelp = "Telp/Fax  " . $ar_pemda->s_notelinstansi . ", ";
        } else {
            $notelp = "";
        }

        if ($data_jenis['s_idjenis'] == 4 || $data_jenis['s_idjenis'] == 8) {
            $tglregister = 'Tanggal Penetapan';
            $noregister = 'No. SPTPD<br><br>No. SKPD';
        } else {
            $tglregister = 'Tanggal Pendataan';
            $noregister = 'No. SPTPD';
        }
        ?>
        <div style="position:absolute;top:30px;left:30px">
        <?php 
            if($formatcetak == 'pdf'){
                echo'<img src="'. $ar_pemda->s_logo .'" width="70">';
            }
        ?>
        </div>
        <div>
            <div style='width: 100%;font-family:sans-serif;text-align: center;'>
                <strong style=" font-size: 13pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                <strong style=" font-size: 15pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                <span style="font-size:10pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
            </div>
            <hr style="line-height: 1px; color: black">
            <h3 style="text-align: center;font-family:sans-serif;">DAFTAR REGISTER <?= strtoupper($data_jenis['s_namajenis']) ?></h3>
            <span style="font-family:sans-serif">
                <?= $data_rekening . '' . $data_kecamatan . '' . $data_kelurahan ?>
                <?= $tglregister . ' : ' . $tglpencetakan ?></span>
            <table width="100%" cellpadding="3" cellspacing="3" class="" style="text-align: center;font-family:sans-serif;border-collapse: collapse;">
                <thead>
                    <tr style="background:#ccc;">
                        <th style="border:1px solid black; padding: 5px;">
                            No. 
                        </th>
                        <th style="border:1px solid black; padding: 5px;" width="7%">
                            <?= $noregister ?>
                        </th>
                        <th style="border:1px solid black; padding: 5px;">
                            Nama WP
                            <br><br>
                            NPWPD
                        </th>
                        <th style="border:1px solid black; padding: 5px;">
                            Nama Objek Pajak
                            <br><br>
                            Alamat Objek Pajak
                        </th>
                        <th style="border:1px solid black; padding: 5px;">
                            <?= $tglregister ?>
                        </th>
                        <?php
                        if ($data_jenis['s_idjenis'] == 4) {
                            echo '<th style="border:1px solid black; padding: 5px;">Tgl. Jatuh Tempo</th>';
                            echo '<th style="border:1px solid black; padding: 5px;">Nama Naskah</th>';
                            echo '<th style="border:1px solid black; padding: 5px;">Lokasi</th>';
                            echo '<th style="border:1px solid black; padding: 5px;">Kelurahan</th>';
                            echo '<th style="border:1px solid black; padding: 5px;">Kecamatan</th>';
                        }
                        ?>
                        <th style="border:1px solid black; padding: 5px;">
                            Masa Pajak
                        </th>
                        <th style="border:1px solid black; padding: 5px;">
                            Jumlah Pajak (Rp.)
                        </th>
						<th style="border:1px solid black; padding: 5px;">
                            Denda (Rp.)
                        </th>
                        <th style="border:1px solid black; padding: 5px;">
                            Status Pembayaran
                        </th>
                    </tr>
                </thead>
                <?php
                $totalpendataan = 0;
                $totalpembayaran = 0;
                $totaldenda = 0;
                $counter = 1;
                foreach ($this->data as $k => $v) {
					
					$jatuhtempo = $v['t_tgljatuhtempo'];
					$tglsekarang = date('Y-m-d');

					$ts1 = strtotime($jatuhtempo);
					$ts2 = strtotime($tglsekarang);

					$year1 = date('Y', $ts1);
					$year2 = date('Y', $ts2);

					$month1 = date('m', $ts1);
					$month2 = date('m', $ts2);

					$day1 = date('d', $ts1);
					$day2 = date('d', $ts2);
					if ($day1 < $day2) {
						$tambahanbulan = 1;
					} else {
						$tambahanbulan = 0;
					}

					$jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
					if ($jmlbulan > 15) {
						$jmlbulan = 15;
						$jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
					} elseif ($jmlbulan <= 0) {
						$jmlbulan = 0;
						$jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
					} else {
						$jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
					}
					
					$jmlhdenda = (!empty($v['t_tglpembayaran'])) ? $v['t_jmlhbayardenda'] : $jmldenda;
                    ?>
                    <tr>
                        <td style="border:1px solid black; padding: 5px; vertical-align: top;">
                            <?= $counter ?>
                        </td>
                        <td style="border:1px solid black; padding: 5px; vertical-align: top;">
                            <?php
                            if ($v['t_jenispajak'] == 4 || $v['t_jenispajak'] == 8) {
                                $no_urut = $v['t_nourut'].'<br><br>'.$v['t_nopenetapan'];
                                $tgl_pajak = $v['t_tglpendataan'];
                            } else {
                                $no_urut = $v['t_nourut'];
                                $tgl_pajak = $v['t_tglpendataan'];
                            }
                            echo $no_urut;
                            ?>
                        </td>
                        <td style="text-align: left;border:1px solid black; padding: 5px; vertical-align: top; width: 150px;">
                            <b><?= $v['t_namawp'] ?></b>
                            <br><br>
                            <?= $v['t_npwpdwp'] ?>
                        </td>
                        <td style="text-align: left;border:1px solid black; padding: 5px; vertical-align: top;">
                            <b><?= $v['t_namaobjek'] ?></b>
                            <br><br>
                            <?= $v['t_alamatlengkapobjek'] ?>
                        </td>
                        <td style="text-align: center;border:1px solid black; padding: 5px; vertical-align: top;">
                            <?= date('d-m-Y', strtotime($tgl_pajak)) ?>
                        </td>
                        <?php
                        if ($v['t_jenispajak'] == 4) {
                            echo '<td style="border:1px solid black;text-align: center; padding: 5px; vertical-align: top;">' . date('d-m-Y', strtotime($v['t_tgljatuhtempo'])) . '</td>';
                            echo '<td style="border:1px solid black;text-align: left; padding: 5px; vertical-align: top;">' . $v['t_naskah'] . '</td>';
                            echo '<td style="border:1px solid black;text-align: left; padding: 5px; vertical-align: top;">' . $v['t_lokasi'] . '</td>';
                            echo '<td style="border:1px solid black;text-align: left; padding: 5px; vertical-align: top;">' . $v['s_namakel'] . '</td>';
                            echo '<td style="border:1px solid black;text-align: left; padding: 5px; vertical-align: top;">' . $v['s_namakec'] . '</td>';
                        }
                        ?>
                        <td style="border:1px solid black; padding: 5px; vertical-align: top;">
                            <?= date('d-m-Y', strtotime($v['t_masaawal'])) . " s/d " . date('d-m-Y', strtotime($v['t_masaakhir'])) ?>
                        </td>
                        <td style="border:1px solid black;text-align: right; padding: 5px; vertical-align: top;">
                            <?= ($formatcetak == 'pdf') ? number_format($v['t_jmlhpajak'], 0, ',', '.') : number_format($v['t_jmlhpajak'], 0, ',', '.')?>
                        </td>
						<td style="border:1px solid black;text-align: right; padding: 5px; vertical-align: top;">
                            <?= ($formatcetak == 'pdf') ? number_format($jmlhdenda, 0, ',', '.') : number_format($jmlhdenda, 0, ',', '.')?>
                        </td>
                        <td style="border:1px solid black; padding: 5px; vertical-align: top;">
                            <?php
                            if (!empty($v['t_tglpembayaran'])) {
                                echo 'Lunas / ' . date('d-m-Y', strtotime($v['t_tglpembayaran']));
                            } else {
                                echo 'Belum Bayar';
                            }
                            ?>
                        </td>
                    </tr>
                    <?php
                    $totalpendataan += $v['t_jmlhpajak'];
                    $totaldenda += $jmlhdenda;
                    $counter++;
                }
                ?>
                <?php
                if ($data_jenis['s_idjenis'] == 4) {
                    $jmlh_col = 11;
					$jmlh_col1 = 13;
					$jmlh_col2 = 8;
                } else {
                    $jmlh_col = 6;
					$jmlh_col1 = 8;
					$jmlh_col2 = 3;
                }
                ?>
                <tr>
                    <td colspan="<?= $jmlh_col ?>" style="text-align: right; font-weight: bold; padding-right: 6px;border:1px solid black; padding: 5px; vertical-align: top;">
                        Jumlah Total Pajak
                    </td>
                    <td style="text-align: right; font-weight: bold;border:1px solid black; padding: 5px; vertical-align: top;">
                        <?= ($formatcetak == 'pdf') ? number_format($totalpendataan, 0, ',', '.') : number_format($totalpendataan) ?>
                    </td>
					<td style="text-align: right; font-weight: bold;border:1px solid black; padding: 5px; vertical-align: top;">
                        <?= ($formatcetak == 'pdf') ? number_format($totaldenda, 0, ',', '.') : number_format($totaldenda) ?>
                    </td>
                    <td style="border:1px solid black;"></td>
                </tr>
				<tr>
					<td colspan="<?=$jmlh_col1?>"></td>
				</tr>
				<tr>
					<td colspan="3">
                    <?php
                        if(!empty($ar_mengetahui)) {
                            echo 'Mengetahui<br>'. $ar_mengetahui->s_jabatanpej .'
                            <br><br><br><br><br>
                            <b>'. $ar_mengetahui->s_namapej .'</b><br>
                            '. $ar_mengetahui->s_nippej .'';
                        }else{
                            echo '';
                        }
                    ?>
					</td>
					<td colspan="<?=$jmlh_col2?>">&nbsp;</td>
					<td colspan="2">
                    <?php
                        if(!empty($ar_diperiksa)) {
                            echo 'Diperiksa<br>'.
                            $ar_diperiksa->s_jabatanpej.'
                            <br><br><br><br><br>
                            <b>'. $ar_diperiksa->s_namapej .'</b><br>
                            '. $ar_diperiksa->s_nippej .'';
                        }else{
                            echo '';
                        }
                    ?>
					</td>
				</tr>
            </table>
        </div>
    <?php if ($formatcetak == 'pdf') { ?>
    <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family: serif;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>
    <?php } ?>
</body>
</html>

<style type="text/css" media="print">
    @page {
        margin: 30px 40px 50px 30px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
</style>
